program DemoGDSII;
{$APPTYPE CONSOLE}
uses
  SysUtils,
  GDSIIExporter in 'GDSIIExporter.pas';

const ptNum:integer=199;
const xar: array[0..2] of __int32=(0,1000,0);
const yar: array[0..2] of __int32=(0,0,1000);
var
  src:PChar;
  x:array [0..199] of __int32;
  y:array [0..199] of __int32;
  k:double;
  i:word;

begin

src:='ems.gds';

for i:=0  to 199 do
begin
	k:=i/10.0;
	x[i]:=i*10;
	y[i]:=round(sin(k)*500);
end;

try
GDS_BeginLib(src, 1e-3, 1e-9);

        GDS_BeginStructure('str3');
		GDS_Sref('str1', 100, 100,0,1,30,ELFLAGS_TEMPLATE,0);
	GDS_EndStructure();

       	GDS_BeginStructure('str2');
		GDS_Aref('ur11',  @xar, @yar,5,4,0,1,0,0,0);
	GDS_EndStructure();

	GDS_BeginStructure('ur11');
		GDS_Box(0,0,100,100, 0,10, 0, 0);
	GDS_EndStructure();


	GDS_BeginStructure('str1');
       GDS_Path( @x, @y, ptNum ,30, 1,63, PATHTYPE1,ELFLAGS_TEMPLATE,0);
       	GDS_Box(100, 100,  200, 200,0,10, 0, 0);
		GDS_BoxWH(150, 150,  500, 500,0,10, 0, 0);
                GDS_Text( 100, 100, 'Easy Math Solution', 1, 4,
                        PRESENT_HCENTER or PRESENT_VBOTTOM, PATHTYPE1, 0,
                        STRANS_0, 0.2, 0, 0, 0);
		GDS_Circle(1500, 1000, 1000, 4, 0,0,0,0);
		GDS_Circle(1000, 1500, 1000, 7, 0,0,0,0);
		GDS_Arc(100, 150, 1000, 45, 178, 5,40, 0, 0, 1,0,0);
		GDS_Sector(1000, 1500, 1050, 120, 290,199, 0,0,0,0);
		GDS_Square(500, 500, 400,0,0,0,0);

	GDS_EndStructure();

GDS_EndLib();

 except
          on E:Exception do writeln('Exception: '+e.Message);

        end;
  end.
